#include <stdio.h> 

int main()

{
    int n, c0, c1, c2;
    
    printf("Uneti pozitivan trocifren broj:\n");
    scanf("%d", &n);
    if (n<100 || n>999)
    {
      printf ("-1\n");
    return -1;
    }
    c0 = n % 10;
    c1 = (n / 10) % 10;
    c2 = (n / 100) % 10;
    if (((c0<c1) || (c0=c1)) && ((c1<c2) || (c1=c2)))
      printf("Najmanji trocifren broj sacinjen od datih cifara je %d\n", c0*100+c1*10+c2);
    if (((c0<c1) || (c0=c1)) && ((c1>c2)||(c1=c2))  && ((c2>c0)||(c2=c0)))
      printf("Najmanji trocifren broj sacinjen od datih cifara je %d\n", c0*100+c2*10+c1);
    if (((c0>c1)||(c0=c1)) && ((c1<c2)||(c1=c2))  && ((c2<c0)||c2=c0)))
      printf("Najmanji trocifren broj sacinjen od datih cifara je %d\n", c1*100+c2*10+c0);
    if (((c0>c1)||(c0=c1))&& ((c2>c0)||(c2=c1))
      printf("Najmanji trocifren broj sacinjen od datih cifara je %d\n", c1*100+c0*10+c2);
    if (((c0<c1)||(c0=c1)) && ((c1>c2)||(c1=c2)) && ((c2<c0)||(c2=c0)))
      printf("Najmanji trocifren broj sacinjen od datih cifara je %d\n", c2*100+c0*10+c1);
    if (((c0>c1)||(c0=c1)) && ((c1>c2)||(c1=c2)) && ((c2<c0)||(c2=c0)))
      printf("Najmanji trocifren broj sacinjen od datih cifara je %d\n", c2*100+c1*10+c0);
    
  
return 0;  
}
